• After using it for a while, Antergos gets back to login screen


    Okay try again the suggestion that @joekamprad gave you earlier, in changing the greeter session, only this time change the line:
    greeter session=lightdm-webkit2-greeter
    into:
    greeter session=deepin-session-ui
    With this change you’ll still be using Lightdm, but use the Deepin greeter instaed of the webkit2 greeter. Maybe this will work better in your case.

  • hi
    i hope it is ok to write in this thread since i’am having the exact same problem. The only difference is that i use KDE. I tried SDDM as stated above but nothing changed.
    Here is my journal https://ptpb.pw/y2He

  • i would call this a BUG know as it effect multiple users!
    As it looks like it is caused by xorg crashing:
    https://bbs.archlinux.org/viewtopic.php?id=234660

    cat /var/log/Xorg.0.log.old | curl -F [email protected] https://ptpb.pw/?u=1
    

    or: Xorg.0.log >> Xorg.1.log >> Xorg.1.log.old

  • i suppose you asked for this https://ptpb.pw/SA6i

    So do you suggest to rollback the libinput;

  • Xorg log shows nothing about crashing and no real warnings…

  • @joekamprad

    what about this: https://ptpb.pw/QBPY

    @Bryanpwo nope, not working. Now I switched to Cinnamon DE, trying to figure out if something changes, but as I can see it doesn’t.

  • There it is:

    [   298.349] (EE) 
    [   298.349] (EE) Backtrace:
    [   298.362] (EE) 0: /usr/lib/xorg-server/Xorg (OsLookupColor+0x139) [0x55ad4d71ce99]
    [   298.364] (EE) 1: /usr/lib/libpthread.so.0 (funlockfile+0x50) [0x7f10cf925e1f]
    [   298.376] (EE) 2: /usr/lib/libc.so.6 (gsignal+0x110) [0x7f10cf591860]
    [   298.379] (EE) 3: /usr/lib/libc.so.6 (abort+0x1c9) [0x7f10cf592ec9]
    [   298.381] (EE) 4: /usr/lib/libc.so.6 (__assert_fail_base+0x14c) [0x7f10cf58a0bc]
    [   298.383] (EE) 5: /usr/lib/libc.so.6 (__assert_fail+0x43) [0x7f10cf58a133]
    [   298.386] (EE) 6: /usr/lib/libinput.so.10 (libinput_event_get_pointer_event+0xf41d) [0x7f10cbc8487d]
    [   298.387] (EE) 7: /usr/lib/libinput.so.10 (libinput_event_get_pointer_event+0xff08) [0x7f10cbc896c8]
    [   298.389] (EE) 8: /usr/lib/libinput.so.10 (libinput_ref+0x448) [0x7f10cbc65228]
    [   298.390] (EE) 9: /usr/lib/libinput.so.10 (libinput_dispatch+0x5f) [0x7f10cbc64abf]
    [   298.391] (EE) 10: /usr/lib/xorg/modules/input/libinput_drv.so (_init+0x29b9) [0x7f10b79a75b9]
    [   298.392] (EE) 11: /usr/lib/xorg-server/Xorg (input_unlock+0x293) [0x55ad4d71b3d3]
    [   298.392] (EE) 12: /usr/lib/xorg-server/Xorg (OsCleanup+0x621) [0x55ad4d71de01]
    [   298.393] (EE) 13: /usr/lib/xorg-server/Xorg (input_unlock+0xde) [0x55ad4d71afce]
    [   298.396] (EE) 14: /usr/lib/libpthread.so.0 (start_thread+0xdc) [0x7f10cf91b08c]
    [   298.399] (EE) 15: /usr/lib/libc.so.6 (clone+0x3f) [0x7f10cf652eb8]
    [   298.399] (EE) 
    [   298.399] (EE) 
    Fatal server error:
    [   298.399] (EE) Caught signal 6 (Aborted). Server aborting
    [   298.399] (EE) 
    [   298.399] (EE) 
    Please consult the The X.Org Foundation support 
    	 at http://wiki.x.org
     for help. 
    [   298.399] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
    [   298.399] (EE) 
    [   298.399] (II) AIGLX: Suspending AIGLX clients for VT switch
    [   298.408] (EE) Server terminated with error (1). Closing log file.
    
  • Since there already is a bugreport: Downgrade to libinput 1.10.1-1 works.

  • the installation of libinput-git seems that is working for me, at least for now. If it will happen again i will inform . Thanks for the help

  • Good to hear that you get back to a working system!

    I am sure there will be an update soon on libinput, or the other two candidates from the Xorg famaly, to solve this!

    As we can see seems to work both downgrade and git version, but not the the one in the middle.

  • @joekamprad Good to hear that progress has been made, but I am a bit confused… how should I proceed now? What exactly do I have to downgrade or install? And how?

    Thank you!

  • When you’re unsure, try to install “downgrade”. It will make things easier.

  • This post is deleted!
  • @thodre I have downgraded libinput to libinput 1.10.1-1 and blocked that package to be upgrated. Hope this is it!

  • Downgrading libinput 1.10.1-1 worked it out! It doesn’t crash anymore (so far, at least).

    Thank you very very much everybody.

  • It’s fixed upstream. libinput 1.10.1-3 is available.

login120 gets3 Posts 37Views 1770
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.